Skip to main content
`Ctrl`+`K`

# PetscMonitorCompare

Checks if two monitors are identical; if they are then it destroys the new one

## Synopsis

    PetscErrorCode PetscMonitorCompare(PetscErrorCode (*nmon)(void), void *nmctx, PetscCtxDestroyFn *nmdestroy, PetscErrorCode (*mon)(void), void *mctx, PetscCtxDestroyFn *mdestroy, PetscBool *identical)

Not Collective

## Input Parameters

- nmon - The new monitor

- nmctx - The new monitor context, or `NULL`

- nmdestroy - The new monitor context destroy function, or `NULL`, see `PetscCtxDestroyFn` for its calling sequence

- mon - The old monitor

- mctx - The old monitor context, or `NULL`

- mdestroy - The old monitor context destroy function, or `NULL`, see `PetscCtxDestroyFn` for its calling sequence

## Output Parameter

- identical - `PETSC_TRUE` if the monitors are the same

## See Also

Viewers: Looking at PETSc Objects, `DMMonitorSetFromOptions()`, `KSPMonitorSetFromOptions()`, `SNESMonitorSetFromOptions()`, `PetscCtxDestroyFn`

## Level

developer

## Location

src/sys/classes/viewer/interface/viewers.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages